commit:     f2dc542d9d4cbfabc02e90365500df4059308b7e
Author:     Sam James <sam <AT> gentoo <DOT> org>
AuthorDate: Sat Feb 21 12:54:31 2026 +0000
Commit:     Sam James <sam <AT> gentoo <DOT> org>
CommitDate: Sat Feb 21 12:54:31 2026 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=f2dc542d

media-video/subliminal: add 2.6.0

Signed-off-by: Sam James <sam <AT> gentoo.org>

 media-video/subliminal/Manifest                |   1 +
 media-video/subliminal/subliminal-2.6.0.ebuild | 106 +++++++++++++++++++++++++
 2 files changed, 107 insertions(+)

diff --git a/media-video/subliminal/Manifest b/media-video/subliminal/Manifest
index da703bec63d0..85978e7c0519 100644
--- a/media-video/subliminal/Manifest
+++ b/media-video/subliminal/Manifest
@@ -1,3 +1,4 @@
 DIST matroska_test_w1_1.zip 184550509 BLAKE2B 
f111725aa08267661942072c2d4ac019d3d322c4e933aad10afb3aa6f69bb3469114c4400d161e53d8a7618b818b22465177460003804a7ac3e69fa4f4db000d
 SHA512 
f170a8e83dab15228f992b3692330163da2402b8e436c7fa195ac1ecc06cf1eaf1a48d8c99a85c031122c158c2d4006023aae75d5b7805385ba25a6d601cb78f
 DIST subliminal-2.4.0.gh.tar.gz 3534918 BLAKE2B 
86d59f54980d8c998c48ffd74baa8fce559e4253c40cd2ca8f1cc66085219daa26b3d16d61c473cd17a019652a881cfb0b37962d61c21d8ad9c29a356b36e86f
 SHA512 
f3555bb8ea8dac57663bef6170869040abbfaa191ea335804633d21618044810af9983241ff69fd2a5eb7ebe5acfbada99235ea0e71e883349de4b938f0e2fc7
 DIST subliminal-2.5.0.gh.tar.gz 3811371 BLAKE2B 
09c25439d7165e764d450d00f9ca0ab76f0c6238a133755f6bc0830be95549da236d55db67c58a5c67806b4f1394861c75130b9105eae430ac1e72b7163fc76d
 SHA512 
42f201b16b0f8806585d43c5682d90ef025f6796da8c231c262a27835a00e298ffa5c0e376b1bdec42e50879d7714ecb050960168a13d350b0f324443284fe56
+DIST subliminal-2.6.0.gh.tar.gz 4090627 BLAKE2B 
7b09fd9478bdf36d22f608c643f5bbb8060540f2c526a47b30702d1339ac577c782a87672121459e2ad4e47730a7e3d9fd50bbd0f02056461ec8df32ef569854
 SHA512 
a6fb3264aeb7c0efbc37fbc1de87a6ebe6788dd4609b8dc5acbf5b7b8548afa5b44cf0cb1df4ab24fbf5de148a38309e8877595d1b2d2b44518305c198e29ffc

diff --git a/media-video/subliminal/subliminal-2.6.0.ebuild 
b/media-video/subliminal/subliminal-2.6.0.ebuild
new file mode 100644
index 000000000000..15aed60c02e2
--- /dev/null
+++ b/media-video/subliminal/subliminal-2.6.0.ebuild
@@ -0,0 +1,106 @@
+# Copyright 1999-2026 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+DISTUTILS_USE_PEP517=hatchling
+PYTHON_COMPAT=( python3_{12..14} )
+PYTHON_REQ_USE='xml(+)'
+
+inherit distutils-r1 optfeature
+
+DESCRIPTION="Python library to search and download subtitles"
+HOMEPAGE="https://github.com/Diaoul/subliminal 
https://pypi.org/project/subliminal/";
+
+if [[ ${PV} == 9999 ]] ; then
+       inherit git-r3
+       EGIT_REPO_URI="https://github.com/Diaoul/${PN}.git";
+       EGIT_BRANCH="develop"
+else
+       SRC_URI="https://github.com/Diaoul/${PN}/archive/${PV}.tar.gz -> 
${P}.gh.tar.gz"
+       KEYWORDS="~amd64 ~arm ~arm64 ~x86"
+fi
+
+SRC_URI+=" test? ( 
https://downloads.sourceforge.net/matroska/test_files/matroska_test_w1_1.zip )"
+
+LICENSE="MIT"
+SLOT="0"
+
+BDEPEND="
+       dev-python/hatch-vcs[${PYTHON_USEDEP}]
+       test? (
+               app-arch/unzip
+               dev-python/rarfile[${PYTHON_USEDEP}]
+               dev-python/sympy[${PYTHON_USEDEP}]
+               >=dev-python/vcrpy-1.6.1[${PYTHON_USEDEP}]
+       )
+"
+RDEPEND="
+       >=dev-python/babelfish-0.6.1[${PYTHON_USEDEP}]
+       >=dev-python/beautifulsoup4-4.4.0[${PYTHON_USEDEP}]
+       >=dev-python/chardet-5.0[${PYTHON_USEDEP}]
+       >=dev-python/click-8.0[${PYTHON_USEDEP}]
+       >=dev-python/click-option-group-0.5.6[${PYTHON_USEDEP}]
+       dev-python/decorator[${PYTHON_USEDEP}]
+       >=dev-python/defusedxml-0.7.1[${PYTHON_USEDEP}]
+       >=dev-python/dogpile-cache-1.0[${PYTHON_USEDEP}]
+       >=dev-python/guessit-2.0.1[${PYTHON_USEDEP}]
+       >=dev-python/knowit-0.5.5[${PYTHON_USEDEP}]
+       >=dev-python/platformdirs-4.2[${PYTHON_USEDEP}]
+       >=dev-python/pysubs2-1.7[${PYTHON_USEDEP}]
+       >=dev-python/requests-2.0[${PYTHON_USEDEP}]
+       >=dev-python/srt-3.5[${PYTHON_USEDEP}]
+       >=dev-python/stevedore-3.0[${PYTHON_USEDEP}]
+       >=dev-python/tomlkit-0.13.2[${PYTHON_USEDEP}]
+"
+
+EPYTEST_DESELECT=(
+       # Needs network
+       tests/test_core.py::test_scan_archive_with_one_video
+       tests/test_core.py::test_scan_archive_with_multiple_videos
+       tests/test_core.py::test_scan_archive_with_no_video
+       tests/test_core.py::test_scan_password_protected_archive
+       tests/test_archives.py::test_is_supported_archive
+       tests/test_archives.py::test_scan_archive_with_one_video
+       tests/test_archives.py::test_scan_archive_with_multiple_videos
+       tests/test_archives.py::test_scan_archive_with_no_video
+       tests/test_archives.py::test_scan_password_protected_archive
+       tests/test_archives.py::test_scan_archive_error
+       tests/test_archives.py::test_scan_videos_error
+
+       # TODO
+       tests/test_core.py::test_refine_video_metadata
+)
+
+EPYTEST_IGNORE=(
+       # Needs pypandoc and irrelevant for us
+       scripts/generate-gh-release-notes.py
+       # Needs network
+       tests/cli/test_download.py
+)
+
+export SETUPTOOLS_SCM_PRETEND_VERSION=${PV}
+
+distutils_enable_tests pytest
+
+src_unpack() {
+       # Needed to unpack the test data
+       default
+
+       if [[ ${PV} == 9999 ]] ; then
+               git-r3_src_unpack
+       fi
+}
+
+python_prepare_all() {
+       if use test ; then
+               mkdir -p tests/data/mkv || die
+               ln -s "${WORKDIR}"/test*.mkv tests/data/mkv/ || die
+       fi
+
+       distutils-r1_python_prepare_all
+}
+
+pkg_postinst() {
+       optfeature "RAR file support" dev-python/rarfile[compressed]
+}

Reply via email to